ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Re: Problems building latest source distro
Date Fri, 23 May 2003 05:58:02 GMT
On Thu, 22 May 2003, Da Twink Daddy <datwinkdaddy@icqmail.com> wrote:

> I'm running JDK 1.4.2, and the error seems to occur because of
> changes (1.4.1 --> 1.4.2) in com.sun.tools.javah.Main.

Yes, there is a backwards incompatible change in JDK 1.4.2 that has by
Ant been addressed in CVS HEAD[1] but not in any released version yet.

If you are never going to use the javah task, simple remove the
offending source, otherwise pick up the latest source[2] from Ant's CVS
module and try to use that instead.

Stefan

Footnotes: 
[1]  <http://issues.apache.org/bugzilla/show_bug.cgi?id=18667>

[2]  <http://cvs.apache.org/viewcvs.cgi/*checkout*/ant/src/main/org/apache/tools/ant/taskdefs/optional/Javah.java?rev=HEAD&content-type=text/plain>


Mime
View raw message